Package org.apache.activemq.artemis.reader

## Class MapMessageUtil

- java.lang.Object
- - org.apache.activemq.artemis.reader.MessageUtil
  - - org.apache.activemq.artemis.reader.MapMessageUtil

-     public class MapMessageUtil
      extends MessageUtil

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.reader.MessageUtil

      `CONNECTION_ID_PROPERTY_NAME, CONNECTION_ID_PROPERTY_NAME_STRING, CORRELATIONID_HEADER_NAME, CORRELATIONID_HEADER_NAME_STRING, JMS, JMS_, JMSX, JMSXDELIVERYCOUNT, JMSXGROUPID, JMSXGROUPSEQ, JMSXUSERID, REPLYTO_HEADER_NAME, TYPE_HEADER_NAME, TYPE_HEADER_NAME_STRING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapMessageUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.apache.activemq.artemis.utils.collections.TypedProperties` | `readBodyMap​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)` | Utility method to set the map on a message body
    `static void` | `readBodyMap​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message, org.apache.activemq.artemis.utils.collections.TypedProperties map)` | Utility method to set the map on a message body
    `static void` | `writeBodyMap​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message, org.apache.activemq.artemis.utils.collections.TypedProperties properties)` | Utility method to set the map on a message body

    - ### Methods inherited from class org.apache.activemq.artemis.reader.MessageUtil

      `clearProperties, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSReplyTo, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getStringProperty, propertyExists, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSReplyTo, setJMSReplyTo, setJMSType, setLongProperty, setObjectProperty, setStringProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapMessageUtil

          public MapMessageUtil()

  - ### Method Detail

    - #### writeBodyMap

          public static void writeBodyMap​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message,
                                          org.apache.activemq.artemis.utils.collections.TypedProperties properties)

      Utility method to set the map on a message body

    - #### readBodyMap

          public static org.apache.activemq.artemis.utils.collections.TypedProperties readBodyMap​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message)

      Utility method to set the map on a message body

    - #### readBodyMap

          public static void readBodyMap​(org.apache.activemq.artemis.api.core.ActiveMQBuffer message,
                                         org.apache.activemq.artemis.utils.collections.TypedProperties map)

      Utility method to set the map on a message body